Name:		eureka
Version:	2.0.2
Release:	%mkrel 2
Summary:	A cross-platform map editor for the classic DOOM games
Group:		Editors
License:	GPLv2
URL:		https://eureka-editor.sourceforge.net/
Source0:	https://github.com/ioan-chera/eureka-editor/archive/%{name}-%{version}.tar.gz
Patch0:		eureka-cmake_install.patch
Patch1:		eureka-cmake_cxx_flags.patch
BuildRequires:	cmake
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)

%description
Eureka is a cross-platform map editor for the classic DOOM games.

It started when the ported the Yadex editor to a proper GUI toolkit, namely
FLTK, and implemented a system for multi-level Undo / Redo. These and other
features have required rewriting large potions of the existing code, and adding
lots of new code too. Eureka is now an independent program with its own
work-flow and its own quirks.

%prep
%autosetup -p1 -n eureka-editor-%{name}-%{version}

%build
%cmake -DBIN_DIR:PATH=games \
       -DENABLE_UNIT_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS.md README.txt TODO.txt changelogs/ docs/*
%license GPL.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/vim/syntax/ugh.vim
%{_mandir}/man6/%{name}.6.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.0.2-2.mga10
+ Revision: 2225142
- Mageia 10 Mass Rebuild

* Wed Jul 24 2024 daviddavid <daviddavid> 2.0.2-1.mga10
+ Revision: 2082417
- new version: 2.0.2
- switch to cmake build system

* Tue Dec 20 2022 daviddavid <daviddavid> 1.27b-1.mga9
+ Revision: 1925428
- new version: 1.27b

* Thu Mar 31 2022 umeabot <umeabot> 1.27-3.mga9
+ Revision: 1836685
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 1.27-2.mga8
+ Revision: 1547006
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 daviddavid <daviddavid> 1.27-1.mga8
+ Revision: 1487472
- new version: 1.27

* Sun Sep 23 2018 umeabot <umeabot> 1.24-2.mga7
+ Revision: 1297633
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 1.24-1.mga7
+ Revision: 1248377
- new version: 1.24
- rename and rediff Makefile patch

* Sun Jan 15 2017 daviddavid <daviddavid> 1.21-1.mga6
+ Revision: 1081851
- new version: 1.21
- rename and rebase Makefile patch

* Tue Jan 26 2016 daviddavid <daviddavid> 1.11-1.mga6
+ Revision: 927949
- new version: 1.11
- rename and rediff Makefile patch

* Mon Nov 09 2015 daviddavid <daviddavid> 1.07-1.mga6
+ Revision: 900022
- imported package eureka

